Upgrade the yum source for centos system

2019-08-2113:11:58 Comment
Excerpt

centos yum source upgrade and common libs and software

upgrade the centos yum source and update it. And the common system necessary libs and softwares.

For much default centos system, the default yum source is not support some libs or softwares. So we need to upgrade the yum source and update the exists yum installed libs and softwares.

yum  install epel-release
yum  update

The centos system common necessary libs and softwares install command.

yum install -y libxslt-devel.x86_64 libX11-devel pcre-devel zlib-devel.x86_64 libxml2 gettext.x86_64 freetype-devel vim ant libffi tcl leptonica curl-devel libxslt curl libffi-devel openjpeg openssl-devel.i686 pcre littlecms-devel gcc java uuid libcurl make tix-devel openssl-devel gdbm-devel subversion libxslt-devel openssl db4-devel libdbi-devel.i686 gcc-c++ readline-devel.x86_64 unixODBC-devel freetype glibtoolize gdbm-devel.i686 libfreetype6-devel unixODBC libxslt1 cmake rsync lrzsz ncurses-libs sqlite-devel.x86_64 libevent-devel.x86_64 bzip2-devel.i686 zlib-devel.i686 wxBase gmp-devel libxslt-devel bzip2-devel.x86_64 littlecms ncurses-devel readline-devel zlib-devel libxml2-devel.x86_64 wxGTK libevent.x86_64 libfreetype6 openjpeg-devel ibtoolize libjpeg-devel libjpeg libtiff-devel libxml2-devel zlib expat-devel openssl libxsltl-devel sqlite-devel tk-devel libGL-devel tcl-devel wxGTK-gl SDL mysql-devel.x86_64 libpng-devel xorg-x11-fonts-75dpi xorg-x11-fonts-75dpi xorg-x11-fonts-Type1 urw-fonts libXext libXrender fontconfig libfontconfig.so.1 libXrender.so.1 libXext.so.6 libz.so.1 icu openssl xz unzip dig dig-devel lsof

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: